> This page is for Developer.

> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://docs.bigcommerce.com/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://docs.bigcommerce.com/_mcp/server.

# List Receipt Lines

GET https://api-b2b.bigcommerce.com/api/v3/io/ip/receipt-lines

Get all receipt lines, with pagination data

Reference: https://docs.bigcommerce.com/developer/api-reference/rest/b2b/management/invoice-management/receipt/get-ip-receipt-lines

## Authentication

- `X-Auth-Token` header (required) — | Header | Argument | Description | |:-------|:---------|:------------| | `X-Auth-Token` | `access_token` | For more about API accounts that generate `access_token`s, see our [Guide to API Accounts](/developer/docs/overview/api-fundamentals/api-accounts). | For example requests and more information about authenticating BigCommerce APIs, see [Authentication and Example Requests](/developer/docs/overview/api-fundamentals/api-accounts#x-auth-token-header-example-requests). For more about BigCommerce OAuth scopes, see our [Guide to API Accounts](/developer/docs/overview/api-fundamentals/api-accounts#oauth-scopes). For a list of API status codes, see [API Status Codes](/developer/api-reference/rest/overview#rest-http-status-codes).
- `X-Store-Hash` header (required) — | Header | Argument | Description | |:-------|:---------|:------------| | `X-Store-Hash` | `store_hash` | The unique store hash associated with a BigCommerce store that has B2B Edition enabled. |

## Request

### Query parameters

- `offset` (integer, optional) — Pagination offset default: 0
- `limit` (integer, optional, default: 10) — Pagination limit default: 10
- `orderBy` (enum, optional, default: DESC) — Allow: 'DESC', 'ASC'
  - Allowed values: `DESC`, `ASC`
- `paymentStatus[]` (list of enum, optional) — Payment processing status. 0 means ‘Incomplete’ status, 1 means ‘Awaiting Processing’ status, 2 means ‘Processing’ status, 3 means ‘Completed’ status, 4 means ‘Refunded' status
  - Allowed values: `0`, `1`, `2`, `3`, `4`
- `q` (string, optional) — You can perform keyword queries on fields corresponding to the value of "searchBy" or, if "searchBy" is empty, on all fields supported by "searchBy".
- `searchBy` (enum, optional) — The response search by which field
  - Allowed values: `customerId`, `externalId`, `externalCustomerId`, `payerName`, `payerCustomerId`, `referenceNumber`, `invoiceId`
- `sortBy` (enum, optional, default: createdAt) — The response sorted by which field
  - Allowed values: `customerId`, `externalCustomerId`, `receiptId`, `invoiceId`, `amount`, `createdAt`, `updatedAt`

## Response

### 200

OK

- `code` (double, required)
- `data` (list of ReceiptLinesGetResponsesContentApplicationJsonSchemaDataItems, required)
- `meta` (ReceiptLinesGetResponsesContentApplicationJsonSchemaMeta, required)

## Types

### ReceiptLinesGetResponsesContentApplicationJsonSchemaDataItems

- `id` (double, required)
- `createdAt` (double, required)
- `updatedAt` (double, required)
- `storeHash` (string, required)
- `customerId` (string, required)
- `externalId` (string, required, nullable)
- `externalCustomerId` (string, required, nullable)
- `receiptId` (double, required)
- `invoiceId` (double, required)
- `amount` (ReceiptLinesGetResponsesContentApplicationJsonSchemaDataItemsAmount, required)
- `paymentStatus` (double, required)
- `paymentType` (string, required)
- `invoiceNumber` (string, required)
- `paymentId` (double, required)
- `referenceNumber` (string, required)
- `transactionType` (string, required)

### ReceiptLinesGetResponsesContentApplicationJsonSchemaMeta

- `pagination` (ReceiptLinesGetResponsesContentApplicationJsonSchemaMetaPagination, required)
- `message` (string, required)

### ReceiptLinesGetResponsesContentApplicationJsonSchemaDataItemsAmount

- `code` (string, required)
- `value` (string, required)

### ReceiptLinesGetResponsesContentApplicationJsonSchemaMetaPagination

- `totalCount` (double, required)
- `offset` (double, required)
- `limit` (double, required)

## Examples

**Response**

```json
{
  "code": 200,
  "data": [
    {
      "id": 95,
      "createdAt": 1630658187,
      "updatedAt": 1630658187,
      "storeHash": "1i6zpxpe3g",
      "customerId": "5485",
      "externalId": "",
      "externalCustomerId": "",
      "receiptId": 85,
      "invoiceId": 38,
      "amount": {
        "code": "USD",
        "value": "122.9500"
      },
      "paymentStatus": 1,
      "paymentType": "Visa ending in 1111",
      "invoiceNumber": "00000038",
      "paymentId": 92,
      "referenceNumber": "375026",
      "transactionType": "Paid"
    },
    {
      "id": 94,
      "createdAt": 1630638069,
      "updatedAt": 1630638069,
      "storeHash": "1i6zpxpe3g",
      "customerId": "5707",
      "externalId": "",
      "externalCustomerId": "",
      "receiptId": 84,
      "invoiceId": 14,
      "amount": {
        "code": "CNY",
        "value": "0.0900"
      },
      "paymentStatus": 3,
      "paymentType": "Offline",
      "invoiceNumber": "00000014",
      "paymentId": 91,
      "referenceNumber": "test",
      "transactionType": "Paid"
    }
  ],
  "meta": {
    "pagination": {
      "totalCount": 2,
      "offset": 0,
      "limit": 10
    },
    "message": "SUCCESS"
  }
}
```

**SDK Code**

```python example-1
import requests

url = "https://api-b2b.bigcommerce.com/api/v3/io/ip/receipt-lines"

headers = {"X-Auth-Token": "<apiKey>"}

response = requests.get(url, headers=headers)

print(response.json())
```

```javascript example-1
const url = 'https://api-b2b.bigcommerce.com/api/v3/io/ip/receipt-lines';
const options = {method: 'GET', headers: {'X-Auth-Token': '<apiKey>'}};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go example-1
package main

import (
	"fmt"
	"net/http"
	"io"
)

func main() {

	url := "https://api-b2b.bigcommerce.com/api/v3/io/ip/receipt-lines"

	req, _ := http.NewRequest("GET", url, nil)

	req.Header.Add("X-Auth-Token", "<apiKey>")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby example-1
require 'uri'
require 'net/http'

url = URI("https://api-b2b.bigcommerce.com/api/v3/io/ip/receipt-lines")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Get.new(url)
request["X-Auth-Token"] = '<apiKey>'

response = http.request(request)
puts response.read_body
```

```java example-1
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.get("https://api-b2b.bigcommerce.com/api/v3/io/ip/receipt-lines")
  .header("X-Auth-Token", "<apiKey>")
  .asString();
```

```php example-1
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('GET', 'https://api-b2b.bigcommerce.com/api/v3/io/ip/receipt-lines', [
  'headers' => [
    'X-Auth-Token' => '<apiKey>',
  ],
]);

echo $response->getBody();
```

```csharp example-1
using RestSharp;

var client = new RestClient("https://api-b2b.bigcommerce.com/api/v3/io/ip/receipt-lines");
var request = new RestRequest(Method.GET);
request.AddHeader("X-Auth-Token", "<apiKey>");
IRestResponse response = client.Execute(request);
```

```swift example-1
import Foundation

let headers = ["X-Auth-Token": "<apiKey>"]

let request = NSMutableURLRequest(url: NSURL(string: "https://api-b2b.bigcommerce.com/api/v3/io/ip/receipt-lines")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "GET"
request.allHTTPHeaderFields = headers

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```